libxkbcommon 0.8.2

libxkbcommon

libxkbcommon is a keyboard keymap compiler and support library which processes a reduced subset of keymaps as defined by the XKB (X Keyboard Extension) specification. It also contains a module for handling Compose and dead keys.

## Quick Guide

See Quick Guide.

## Building

libxkbcommon is built with Meson:

    meson setup build
    ninja -C build

To build for use with Wayland, you can disable X11 support while still using the X11 keyboard configuration resource files thusly:

    meson setup build \
        -Denable-x11=false \
        -Dxkb-config-root=/usr/share/X11/xkb \
        -Dx-locale-root=/usr/share/X11/locale
    ninja -C build

## API

While libxkbcommon's API is somewhat derived from the classic XKB API as found in X11/extensions/XKB.h and friends, it has been substantially reworked to expose fewer internal details to clients.

See the API Documentation.

## Dataset

libxkbcommon does not distribute a keymap dataset itself, other than for testing purposes. The most common dataset is xkeyboard-config, which is used by all current distributions for their X11 XKB data. More information on xkeyboard-config is available here: https://www.freedesktop.org/wiki/Software/XKeyboardConfig

The dataset for Compose is distributed in libX11, as part of the X locale data.

## Relation to X11

See Compatibility notes.

## Development

An extremely rudimentary homepage can be found at https://xkbcommon.org

xkbcommon is maintained in git at https://github.com/xkbcommon/libxkbcommon

Patches are always welcome, and may be sent to either xorg-.nosp@m.deve.nosp@m.l@lis.nosp@m.ts.x.nosp@m..org or wayla.nosp@m.nd-d.nosp@m.evel@.nosp@m.list.nosp@m.s.fre.nosp@m.edes.nosp@m.ktop..nosp@m.org or through github.

Bug reports are also welcome, and may be filed either at Bugzilla https://bugs.freedesktop.org/describecomponents.cgi?product=libxkbcommon or Github https://github.com/xkbcommon/libxkbcommon/issues

The maintainers are

- Daniel Stone danie.nosp@m.l@fo.nosp@m.oishb.nosp@m.ar.o.nosp@m.rg
- Ran Benita ran23.nosp@m.4@gm.nosp@m.ail.c.nosp@m.om

## Credits

Many thanks are due to Dan Nicholson for his heroic work in getting xkbcommon off the ground initially.